telerik telerik

kendo-ui-core

20 41 0

An HTML5, jQuery-based widget library for building modern web apps.

Dependencies

Package Locked Requirement Latest Status Changelog
There is no runtime dependency.
Package Locked Requirement Latest Status Changelog
Npms amd-optimize 0.6.1 0.6.1

amd-optimize

An AMD (i.e. RequireJS) optimizer that's stream-friendly. Made for gulp. (WIP)

This dependency is up-to-date. Congrats and keep going!

Npms browser-sync ~2.9.10 2.18.13

browser-sync

Live CSS Reload & Browser Syncing

This dependency is not matching latest version. Please consider upgrading.

Npms colors ^1.1.2 1.1.2

colors

get colors in your node.js console

This dependency is up-to-date. Congrats and keep going!

Npms cookiejar 1.3.0 2.1.1

cookiejar

simple persistent cookiejar system

This dependency is not matching latest version. Please consider upgrading.

Npms cz-conventional-changelog 1.2.0 2.0.0

cz-conventional-changelog

Commitizen adapter following the conventional-changelog format.

This dependency is not matching latest version. Please consider upgrading.

Npms faye 0.8.3 1.2.4

faye

Simple pub/sub messaging for the web

This dependency is not matching latest version. Please consider upgrading.

Npms faye-websocket 0.4.4 0.11.1

faye-websocket

Standards-compliant WebSocket server and client

This dependency is not matching latest version. Please consider upgrading.

Npms ghooks 1.3.2 2.0.0

ghooks

Simple git hooks

This dependency is not matching latest version. Please consider upgrading.

Npms glob ~5.0.15 7.1.2

glob

a little globber

This dependency is not matching latest version. Please consider upgrading.

Npms gulp 3.9.1 3.9.1

gulp

The streaming build system

This dependency is up-to-date. Congrats and keep going!

Npms gulp-cached ~1.1.0 1.1.1

gulp-cached

A simple in-memory file cache for gulp

This dependency is up-to-date. Congrats and keep going!

Npms gulp-clean-css ^2.0.0 3.9.0

gulp-clean-css

Minify css with clean-css.

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-clone ~1.0.0 1.0.0

gulp-clone

Clone files in memory in a gulp stream

This dependency is up-to-date. Congrats and keep going!

Npms gulp-concat ^2.6.0 2.6.1

gulp-concat

Concatenates files

This dependency is up-to-date. Congrats and keep going!

Npms gulp-debug ~2.1.1 3.1.0

gulp-debug

Debug Vinyl file streams to see what files are run through your Gulp pipeline

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-filter ~3.0.1 5.0.1

gulp-filter

Filter files in a Vinyl stream

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-foreach ^0.1.0 0.1.0

gulp-foreach

Send each file in a stream down its own stream

This dependency is up-to-date. Congrats and keep going!

Npms gulp-if ^2.0.0 2.0.2

gulp-if

Conditionally run a task

This dependency is up-to-date. Congrats and keep going!

Npms gulp-ignore ^1.2.1 2.0.2

gulp-ignore

Include or exclude gulp files from the stream based on a condition

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-insert ^0.5.0 0.5.0

gulp-insert

Append or Prepend a string with gulp

This dependency is up-to-date. Congrats and keep going!

Npms gulp-jshint ^1.11.2 2.0.4

gulp-jshint

JSHint plugin for gulp

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-less ~3.0.3 3.3.2

gulp-less

Less for Gulp

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-logger ~0.0.2 0.0.2

gulp-logger

Gulp plugin for logging stream stages, transformation and progress

This dependency is up-to-date. Congrats and keep going!

Npms gulp-plumber ~1.0.1 1.1.0

gulp-plumber

Prevent pipe breaking caused by errors from gulp plugins

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-progeny ~0.1.2 0.4.0

gulp-progeny

Gulp plugin for dependencies building

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-rename ~1.2.2 1.2.2

gulp-rename

Rename files

This dependency is up-to-date. Congrats and keep going!

Npms gulp-replace ~0.5.4 0.6.1

gulp-replace

A string replace plugin for gulp

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-shell ^0.5.1 0.6.3

gulp-shell

A handy command line interface for gulp

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-sourcemaps ^2.4.0 2.6.1

gulp-sourcemaps

Source map support for Gulp.js

This dependency is up-to-date. Congrats and keep going!

Npms gulp-subset-process 0.1.0 0.1.0

gulp-subset-process

Process a subset of the stream and put the result into place

This dependency is up-to-date. Congrats and keep going!

Npms gulp-task-listing ^1.0.1 1.0.1

gulp-task-listing

Adds the ability to provide a task listing for your gulpfile

This dependency is up-to-date. Congrats and keep going!

Npms gulp-uglify ^1.4.2 3.0.0

gulp-uglify

Minify files with UglifyJS.

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-util ~3.0.7 3.0.8

gulp-util

Utility functions for gulp plugins

This dependency is up-to-date. Congrats and keep going!

Npms gulp-zip ^3.2.0 4.0.0

gulp-zip

ZIP compress files

This dependency is not matching latest version. Please consider upgrading.

Npms is-absolute ^0.1.7 1.0.0

is-absolute

Returns true if a file path is absolute. Does not rely on the path module and can be used as a polyfill for node.js native `path.isAbolute`.

This dependency is not matching latest version. Please consider upgrading.

Npms jshint 2.8.0 2.9.5

jshint

Static analysis tool for JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms jshint-stylish ~2.0.1 2.2.1

jshint-stylish

Stylish reporter for JSHint

This dependency is not matching latest version. Please consider upgrading.

Npms karma 0.13.19 1.7.1

karma

Spectacular Test Runner for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-chrome-launcher ~0.2 2.2.0

karma-chrome-launcher

A Karma plugin. Launcher for Chrome and Chrome Canary.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-firefox-launcher ~0.1 1.0.1

karma-firefox-launcher

A Karma plugin. Launcher for Firefox.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-html2js-preprocessor ~0.1 1.1.0

karma-html2js-preprocessor

A Karma plugin. Convert HTML files into JS strings to serve them in a script tag.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-junit-reporter 0.2.2 1.2.0

karma-junit-reporter

A Karma plugin. Report results in junit xml format.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-qunit 0.1.4 1.2.1

karma-qunit

A Karma plugin. Adapter for QUnit testing framework.

This dependency is not matching latest version. Please consider upgrading.

Npms lazypipe ~1.0.1 1.0.1

lazypipe

Use to create an immutable, lazily initialized pipeline from a series of streams.

This dependency is up-to-date. Congrats and keep going!

Npms less 2.5.3 2.7.2

less

Leaner CSS

This dependency is not matching latest version. Please consider upgrading.

Npms less-plugin-autoprefix ~1.5.1 1.5.1

less-plugin-autoprefix

autoprefixer plugin for less.js

This dependency is up-to-date. Congrats and keep going!

Npms merge2 ~0.3.6 1.0.3

merge2

Merge multiple streams into one stream in sequence or parallel.

This dependency is not matching latest version. Please consider upgrading.

Npms optimist 0.3.7 0.6.1

optimist

Light-weight option parsing with an argv hash. No optstrings attached.

This dependency is not matching latest version. Please consider upgrading.

Npms qunitjs 1.19.0 2.4.0

qunitjs

An easy-to-use JavaScript Unit Testing framework.

This dependency is not matching latest version. Please consider upgrading.

Npms require-dir ~0.3.0 0.3.2

require-dir

Helper to require() directories.

This dependency is up-to-date. Congrats and keep going!

Npms run-sequence ~1.1.4 2.2.0

run-sequence

Run a series of dependent gulp tasks in order

This dependency is not matching latest version. Please consider upgrading.

Npms through-gulp ^0.3.8 0.5.0

through-gulp

A tiny wrapper around Node stream Transform, to simplify gulp plulgins development

This dependency is not matching latest version. Please consider upgrading.

Npms through2 ^2.0.0 2.0.3

through2

A tiny wrapper around Node streams2 Transform to avoid explicit subclassing noise

This dependency is up-to-date. Congrats and keep going!

Npms typescript ^1.5.3 2.5.2

typescript

TypeScript is a language for application scale JavaScript development

This dependency is not matching latest version. Please consider upgrading.

Npms validate-commit-msg 2.8.2 2.14.0

validate-commit-msg

Script to validate a commit message follows the conventional changelog standard

This dependency is not matching latest version. Please consider upgrading.

Npms vinyl ^1.0.0 2.1.0

vinyl

Virtual file format.

This dependency is not matching latest version. Please consider upgrading.

Npms vinyl-named ^1.1.0 1.1.0

vinyl-named

Give vinyl files chunk names.

This dependency is up-to-date. Congrats and keep going!

Npms webpack ^1.13.0 3.6.0

webpack

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-stream ^3.2.0 4.0.0

webpack-stream

Run webpack as a stream

This dependency is not matching latest version. Please consider upgrading.

Npms xmlbuilder 0.4.2 9.0.4

xmlbuilder

An XML builder for node.js

This dependency is not matching latest version. Please consider upgrading.

Npms yargs ~3.27.0 9.0.1

yargs

yargs the modern, pirate-themed, successor to optimist.

This dependency is not matching latest version. Please consider upgrading.